/*
 * Copyright (C) 2015-2016 Pier Luigi Fiorini
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdlib.h>
#include <stdint.h>
#include "wayland-util.h"

extern const struct wl_interface greenisland_screencast_interface;
extern const struct wl_interface wl_buffer_interface;
extern const struct wl_interface wl_output_interface;

static const struct wl_interface *types[] = {
	NULL,
	NULL,
	NULL,
	NULL,
	&greenisland_screencast_interface,
	&wl_output_interface,
	&wl_buffer_interface,
	&wl_buffer_interface,
	NULL,
	NULL,
	NULL,
	&wl_buffer_interface,
	&wl_buffer_interface,
};

static const struct wl_message greenisland_screencaster_requests[] = {
	{ "capture", "no", types + 4 },
};

WL_EXPORT const struct wl_interface greenisland_screencaster_interface = {
	"greenisland_screencaster", 1,
	1, greenisland_screencaster_requests,
	0, NULL,
};

static const struct wl_message greenisland_screencast_requests[] = {
	{ "destroy", "", types + 0 },
	{ "record", "o", types + 6 },
};

static const struct wl_message greenisland_screencast_events[] = {
	{ "setup", "iiii", types + 0 },
	{ "frame", "oui", types + 7 },
	{ "failed", "io", types + 10 },
	{ "cancelled", "o", types + 12 },
};

WL_EXPORT const struct wl_interface greenisland_screencast_interface = {
	"greenisland_screencast", 1,
	2, greenisland_screencast_requests,
	4, greenisland_screencast_events,
};

